function MenuManager:toggle_chatinput()
    if Application:editor() 
      or SystemInfo:platform() ~= Idstring("WIN32") 
      or self:active_menu() 
      or not managers.network:session() then

		return
	end
  
	if managers.hud then
		managers.hud:toggle_chatinput()
		return true
	end
end

function MenuComponentManager:_create_chat_gui()
	if SystemInfo:platform() == Idstring("WIN32") and managers.network:session() then
		self._preplanning_chat_gui_active = false
		self._lobby_chat_gui_active = false
		self._crimenet_chat_gui_active = false
		self._inventory_chat_gui_active = false

		if self._game_chat_gui then
			self:show_game_chat_gui()
		else
			self:add_game_chat()
		end

		self._game_chat_gui:set_params(self._saved_game_chat_params or "default")

		self._saved_game_chat_params = nil
	end
end